#include <bits/stdc++.h>
#include<ctime>
using namespace std;

int main(void){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);
    int n; cin >> n;
    double pro[n];
    int br[n];
    int x;
    double y;
    for(int i=0;i<n;++i){
        cin >> x >> y;
        pro[i] = y;
        br[i]=x;
    }
    double maks = 0;
    for(int i=0;i<n;++i){
        double sum = 0;
        for(int j=0;j<n;++j){
            if(pro[j]>=pro[i])
                sum+=(double)br[j];
        }
        sum*=(double)(pro[i] * 0.01);
        if(sum>maks)
            maks = sum;
    }
    cout << fixed;
    cout << setprecision(4);
    cout << maks;
    return 0;
}